EndpointsBrands

Brands

Function-calling namespace: brands

  • Base URL: https://api.aivida.in
  • Engine endpoint: POST /api
  • Auth: Stack token middleware enabled in optional mode.
  • Send token in header: x-stack-access-token: <access_token> (or Authorization: Bearer <access_token>).
  • In optional mode: no token is allowed; invalid token is rejected with 401.

create

Source: backend/endpoints/brands/create

Input Fields

FieldTypeRequiredConstraints
namestringYes-
descriptionstringNo-
logoUrlstringNo-
brandImagestringNo-
bgColorstringNo-
bg_colorstringNo-
categoryIdsarray<string>No-
platformServiceCategoryIdsarray<string>No-
isActivebooleanNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "brands",
  "apiName": "create",
  "data": {
    "name": "value"
  }
}'

Example Response

{ "status": "ok", "data": {} }

delete

Source: backend/endpoints/brands/delete

Input Fields

FieldTypeRequiredConstraints
idstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "brands",
  "apiName": "delete",
  "data": {
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

getById

Source: backend/endpoints/brands/get-by-id

Input Fields

FieldTypeRequiredConstraints
idstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "brands",
  "apiName": "getById",
  "data": {
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

list

Source: backend/endpoints/brands/list

Input Fields

FieldTypeRequiredConstraints
pageintegerNo-
pageSizeintegerNo-
limitintegerNo-
offsetintegerNo-
searchstringNo-
categoryIdstringNo-
platformServiceCategoryIdstringNo-
isActivebooleanNonullable
sortBystringNo-
sortOrderstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "brands",
  "apiName": "list",
  "data": {
    "page": 1,
    "pageSize": 1,
    "limit": 1,
    "offset": 1,
    "search": "value",
    "categoryId": "category_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

update

Source: backend/endpoints/brands/update

Input Fields

FieldTypeRequiredConstraints
idstringYes-
namestringNonullable
descriptionstringNonullable
logoUrlstringNonullable
brandImagestringNonullable
bgColorstringNonullable
bg_colorstringNonullable
categoryIdsarray<string>No-
platformServiceCategoryIdsarray<string>No-
isActivebooleanNonullable

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "brands",
  "apiName": "update",
  "data": {
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }